Đến nội dung


Hình ảnh

Cho em hỏi về TOLERANCE!


  • Please log in to reply
49 replies to this topic

#21 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 18 March 2011 - 09:42 AM

Lúc mình quét hết nó nhận riêng, chẳng thằng nào giống thằng nào bạn ạ. Lạ thật ^^ Bác TUệ vào giải giùm nào ^^

Sao kỳ vậy ta? Mình quét tất cả thì tất cả các chữ ổ khóa nó cùng 1 giá trị hết luôn! Nhờ anh Tuệ xem giúp em với!
  • 0

#22 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 18 March 2011 - 10:13 AM

Em làm thử rồi anh Tuệ! Giả sử file ví dụ em gửi lên cho anh có 6 cái khung! Em quét hết màn hình thì 6 chữ ổ khóa nó đều link với cùng 1 giá trị đầu tiên mà mình quét thôi phải ko anh? Còn ý em muốn là cái chữ ổ khóa trong khung nào thì nó link với cái chữ P1-XX cũng nằm trong khung đó luôn! Nhưng theo em nghĩ chắc là ko dc phải ko anh, vì cái chữ Ổ Khóa đó nó sẽ ko phân biệt dc là nó đang nằm trong khung nào hết!

Khi quét mấy cái Tolerance nó sẽ tự động Link Field luôn. Nó tự hiểu luôn à. Nó phân biệt được tất.
Em gửi file mà em đã test cho anh xem cái nào!
Thế nhé.
  • 1

#23 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 18 March 2011 - 11:33 AM

Khi quét mấy cái Tolerance nó sẽ tự động Link Field luôn. Nó tự hiểu luôn à. Nó phân biệt được tất.
Em gửi file mà em đã test cho anh xem cái nào!
Thế nhé.

Dạ cảm ơn anh! File công việc nên em gửi vào mail anh dc ko anh?
  • 0

#24 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 18 March 2011 - 01:50 PM

Dạ cảm ơn anh! File công việc nên em gửi vào mail anh dc ko anh?

Được :rolleyes:
Nếu vì file công việc thì em xóa tất cả đi chỉ chừa lại các TOLERANCE và các Text cần Link. OK?
  • 1

#25 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 21 March 2011 - 11:11 AM

Được :rolleyes:
Nếu vì file công việc thì em xóa tất cả đi chỉ chừa lại các TOLERANCE và các Text cần Link. OK?

Xin lỗi anh! Em làm được rồi! Em copy những cái em cần qua một file mới thì làm được rồi! Còn tron file cũ của em, em chỉ quét vùng em cần làm thôi, vùng khác em chưa cần làm thì em ko quét thì nó bị lỗi! Cảm ơn anh nhìu!
  • 0

#26 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 29 March 2011 - 10:00 AM

Nhờ anh Tuệ và mọi người giúp tiếp dùm em với, giờ em làm nó phát sinh thêm một số cái nữa! Chi tiết em có ghi trong bản vẽ nhờ mọi người giúp dùm em với! Vì số lượng bản vẽ em rất nhiều! Thanks mọi người rất nhiều!
http://www.cadviet.c...lerance_1_1.dwg
  • 0

#27 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 30 March 2011 - 07:08 AM

Nhờ anh Tuệ và mọi người giúp tiếp dùm em với, giờ em làm nó phát sinh thêm một số cái nữa! Chi tiết em có ghi trong bản vẽ nhờ mọi người giúp dùm em với! Vì số lượng bản vẽ em rất nhiều! Thanks mọi người rất nhiều!
http://www.cadviet.c...lerance_1_1.dwg

Truong thanh thử cái này.
Chọn 1 loạt luôn nhé :

(defun c:glt(/ oldos sst cs ob Rec p1 p2 ssm chu dk quan vitri)
;;copyright by Tue_NV
(command "undo" "be")
(setq oldos (getvar "osmode"))
(setvar "osmode" 0)
(setvar "cmdecho" 0)
(setq sst (acet-ss-to-list (ssget '((0 . "TEXT") (8 . "ki hieu van") (40 . 3.2)))) )
(setq cs '(30.0 -50.0 0.0))
(command "zoom" "e")
(FOREACH e sst
(setq ob (vlax-ename->vla-object e))
(setq Rec (ACET-ENT-GEOMEXTENTS e))
(setq p1 (car Rec) p2 (cadr Rec))
(setq chugoc (acet-dxf 1 (entget e)))
(IF (<= (strlen (vl-string-trim " " chugoc)) 6) (PROGN
(IF (setq ssm (ssget "c" p2 (mapcar '+ cs p2) (list(cons 0 "*TEXT")))) (PROGN
(foreach x (acet-ss-to-list ssm)
(setq chu (acet-dxf 1 (entget x)))
(if (vl-string-search "VÒ TRÍ" chu)
(setq vitri (tach chu ":")) )
(if (vl-string-search "PHÖÔØNG" chu)
(setq quan (tach chu "-")) )
(if (and (vl-string-search "%%c" chu)
(= "TEXT PIPE" (acet-dxf 8 (entget x)))
)
(setq dk (substr (vl-string-trim " " chu) 4 (- (strlen chu) 4))) )

);foreach
(if (and quan vitri dk)
(vlax-put ob 'Textstring
(strcat quan "." (substr chugoc 1 (vl-string-search "-" chugoc) ) "."
vitri "." dk ".0"
(substr chugoc (+ 2 (vl-string-search "-" chugoc)) (strlen chugoc) )
)
))
))));PROGN_IF
);FOREACH

(command "zoom" "p")
(setvar "osmode" oldos)
(command "undo" "e")
(princ)
)
;;;;;;;;;;;;
(defun tach (str kitucheck / trich kitu L i)
;;copyright by Tue_NV
(setq str (vl-string-trim " " str))
(setq L (strlen str) i L)
(setq kitu "Chuc ban lam viec hieu qua")
(While (/= kitu kitucheck)
(setq kitu (substr str i 1))
(setq i (1- i))
(if (or (= kitu " ") (= kitu kitucheck))
(setq trich (append trich (list (substr str (+ i 2) 1)) ) )
)
)
(setq trich (apply 'strcat (reverse (vl-remove " " trich))))
trich
)

  • 1

#28 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 30 March 2011 - 08:41 AM

Truong thanh thử cái này.
Chọn 1 loạt luôn nhé :

Anh Tuệ ơi! Sao em quét xong nó chọn 6 object xong rồi ko thấy thay đổi gì hết vậy anh? Anh coi lại thử dùm em với!
  • 0

#29 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 30 March 2011 - 09:11 AM

Tested, lisp chạy Ok, mis 1 chút phần bố trí lại chữ trong ô HCN bao text ^^
@truongthanh : bạn có thâm niên trong 4room rồi, mà bao lần vẫn hồn nhiên vậy. Bạn hãy chịu khó miêu tả lỗi gặp phải khi dùng lisp thì tác giả mới có thể check được chứ. Nếu bạn nói nó lỗi, nhờ bác Tuệ check lại, thì phải là lỗi ntn, báo ra sao, thao tác của bạn ntn, chụp ảnh chụp iêc các kiểu... chứ khơi khơi vậy bác Tuệ check cái chi giờ :mellow:
  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#30 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 30 March 2011 - 09:20 AM

Tested, lisp chạy Ok, mis 1 chút phần bố trí lại chữ trong ô HCN bao text ^^
@truongthanh : bạn có thâm niên trong 4room rồi, mà bao lần vẫn hồn nhiên vậy. Bạn hãy chịu khó miêu tả lỗi gặp phải khi dùng lisp thì tác giả mới có thể check được chứ. Nếu bạn nói nó lỗi, nhờ bác Tuệ check lại, thì phải là lỗi ntn, báo ra sao, thao tác của bạn ntn, chụp ảnh chụp iêc các kiểu... chứ khơi khơi vậy bác Tuệ check cái chi giờ :mellow:

Sorry bạn! Do mình test select object xong quét chọn nó chọn ra được 6 cái text trong file ví dụ đó rồi enter nó nằm im, ko thấy thay đổi gì hết làm sao mình biết nó lỗi gì! Bạn thông cảm nhé! :rolleyes:
  • 0

#31 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 30 March 2011 - 09:34 AM

Bạn thử ấn F2 sau khi thao tác xem CAD có báo lỗi gì không ? Sẽ rất có ích cho bác Tuệ test, vì bên máy mình làm ngon nghẻ
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#32 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 30 March 2011 - 09:42 AM

Bạn thử ấn F2 sau khi thao tác xem CAD có báo lỗi gì không ? Sẽ rất có ích cho bác Tuệ test, vì bên máy mình làm ngon nghẻ

Mình quét chọn xong enter xong nó ra như vậy đó:
Select objects: Specify opposite corner: 6 found

Select objects:

Em thấy nó ko thay đổi gì hết!
  • 0

#33 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 30 March 2011 - 09:50 AM

Mình quét chọn xong enter xong nó ra như vậy đó:
Select objects: Specify opposite corner: 6 found

Select objects:

Em thấy nó ko thay đổi gì hết!

Em upload lại file mà em vừa test. Để anh kiểm tra lại xem nào?
  • 0

#34 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 30 March 2011 - 09:56 AM

Em upload lại file mà em vừa test. Để anh kiểm tra lại xem nào?

Anh xem giúp em nhé!
http://www.cadviet.c...olerance_12.dwg
  • 0

#35 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 30 March 2011 - 10:41 AM

Anh xem giúp em nhé!
http://www.cadviet.c...olerance_12.dwg

Truong thanh xem thử video này :
http://www.youtube.com/watch?v=W2AC0dg3jhQ
Gửi lại Lisp gốc :
Lisp GLT
  • 0

#36 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 30 March 2011 - 01:11 PM

Truong thanh xem thử video này :

Trong đoạn video anh gửi em làm y chang ko hiểu sao nó vẫn nằm im lìm! Em thấy trong dòng command của anh có hiện UNDEFINED 57,UNDEFINED 44 còn của em ko hiện gì hết! Với lại em xài cad 2007!
Em ko hiểu sao nữa!
  • 0

#37 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1433 Bài viết
Điểm đánh giá: 1426 (rất tốt)

Đã gửi 30 March 2011 - 01:37 PM

Truong thanh xem thử video này :
http://www.youtube.com/watch?v=W2AC0dg3jhQ
Gửi lại Lisp gốc :
Lisp GLT

Lỗi font tiếng Việt :
- Chữ "Vị trí" và "Phường" trong file Lisp đã thay đổi nên Lisp chạy không đuợc.
(if (vl-string-search "VO TRI" chu)
(setq vitri (tach chu ":")) )
(if (vl-string-search "PHOOONG" chu)
(setq quan (tach chu "-")) )


Thử sửa các chữ này lại.
  • 0

#38 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 30 March 2011 - 01:37 PM

Bạn xem lại lisp bạn down xem sao ^^ Mình làm đi làm lại thấy bình thường, và giữa 2 chữ select object 6 found và Select Object phải cách 1 Line chứ nhỉ :o Cũng không có Undefine như video bác Tue, nhưng kết quả bình thường. Honnwũa bạn kiểm tra lại đủ bộ Express, vlisp chưa ? Và lần đầu dùng lisp nó còn phải hiện các thiết đặt Undo kiểu ntn :

Command:
Command:
Command: glt
undo Current settings: Auto = On, Control = All, Combine = Yes
Enter the number of operations to undo or [Auto/Control/BEgin/End/Mark/Back]
<1>: be
Command:
Select objects: Specify opposite corner: 6 found

Select objects:


  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#39 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 30 March 2011 - 02:14 PM

Bạn xem lại lisp bạn down xem sao ^^ Mình làm đi làm lại thấy bình thường, và giữa 2 chữ select object 6 found và Select Object phải cách 1 Line chứ nhỉ :o Cũng không có Undefine như video bác Tue, nhưng kết quả bình thường. Honnwũa bạn kiểm tra lại đủ bộ Express, vlisp chưa ? Và lần đầu dùng lisp nó còn phải hiện các thiết đặt Undo kiểu ntn :

Nó hiện như thế này mới chết em chứ! Cứ trơ trơ ra như vậy đó! Ko thấy Undo gì hết!
APPLOAD glt.lsp successfully loaded.
Command:
Command:
Command: GLT
Select objects: Specify opposite corner: 6 found
Select objects:

Lỗi font tiếng Việt :
- Chữ "Vị trí" và "Phường" trong file Lisp đã thay đổi nên Lisp chạy không đuợc.
(if (vl-string-search "VO TRI" chu)
(setq vitri (tach chu ":")) )
(if (vl-string-search "PHOOONG" chu)
(setq quan (tach chu "-")) )
Thử sửa các chữ này lại.

Em sửa rồi cũng ko si nhê gì hết bác gia_bach ơi!
  • 0

#40 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 30 March 2011 - 02:57 PM

Nó hiện như thế này mới chết em chứ! Cứ trơ trơ ra như vậy đó! Ko thấy Undo gì hết!
APPLOAD glt.lsp successfully loaded.
Command:
Command:
Command: GLT
Select objects: Specify opposite corner: 6 found
Select objects:

Em sửa rồi cũng ko si nhê gì hết bác gia_bach ơi!

Truongthanh vô mail Yahoo của Tue_NV để trao đổi nhé :
Tue_nvcc@yahoo.com
Tue_NV cất công mất cả buổi tối hôm qua để viết cái Lisp này. Nay Truongthanh không sử dụng được, quả thật là uổng quá :rolleyes:
  • 1